package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.News;
import com.lightinit.hsdataportal.entity.NewsExample;
import com.lightinit.hsdataportal.entity.NewsWithBLOBs;
import java.util.List;

import com.lightinit.hsdataportal.model.EntrepreneurshipTutoringListModel;
import com.lightinit.hsdataportal.model.EntrepreneurshipTutoringSearchModel;
import com.lightinit.hsdataportal.model.EntrepreneurshipTutoringViewModel;
import org.apache.ibatis.annotations.Param;

public interface NewsMapper {
    long countByExample(NewsExample example);

    int deleteByExample(NewsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(NewsWithBLOBs record);

    int insertSelective(NewsWithBLOBs record);

    List<NewsWithBLOBs> selectByExampleWithBLOBs(NewsExample example);

    List<News> selectByExample(NewsExample example);

    NewsWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") NewsWithBLOBs record, @Param("example") NewsExample example);

    int updateByExampleWithBLOBs(@Param("record") NewsWithBLOBs record, @Param("example") NewsExample example);

    int updateByExample(@Param("record") News record, @Param("example") NewsExample example);

    int updateByPrimaryKeySelective(NewsWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(NewsWithBLOBs record);

    int updateByPrimaryKey(News record);

    List<EntrepreneurshipTutoringListModel> selectList(EntrepreneurshipTutoringSearchModel inputModel);

    long selectCount(EntrepreneurshipTutoringSearchModel inputModel);

    EntrepreneurshipTutoringViewModel view(long id);


}